Bug 600171 - Amarok volume control works counter intuitively when expanded in slim toolbar mode
Summary: Amarok volume control works counter intuitively when expanded in slim toolbar...
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: amarok
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-04 05:14 UTC by Gireesh Sreekantan
Modified: 2010-06-06 15:23 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-06-06 05:21:48 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 240779 None None None Never

Description Gireesh Sreekantan 2010-06-04 05:14:06 UTC
Description of problem:
Amarok volume control works in opposite direction to kmix and other volume controls when expanded (in slim toolbar mode). ie mouse-wheel scroll up decreases volume and mouse-wheel scroll down increases volume. 

Version-Release number of selected component (if applicable):
amarok-2.3.0-5.fc13.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Open amarok and play any music
2.Scroll mouse wheel over amarok's volume control icon in toolbar without clicking it to expand. check the direction of wheel against volume.
3. Click the volume icon to get the volume bar.
3.Note the direction of scroll vs volume change and check against step 2 and kmix. The direction is reversed from #2 when the volume bar wasn't extended.
  
Actual results:
scroll down increases volume and scroll up decreases.

Expected results:
Amarok volume control bar should follow same convention as kmix, dragon (and others) for being intuitive. 

Additional info:
No functionality is lost but it is counter intuitive. 
Seems to happen only when the volume bar is expanded by clicking the volume icon in amarok in slim toolbar mode. In normal toolbar mode, clicking the icon mutes the volume.

Comment 1 Steven M. Parrish 2010-06-05 02:44:45 UTC
This is a issue which needs to be reported upstream.  Please file a report at
http://bugs.kde.org  

Please add upstream report info to this report.  We will monitor the upstream
report for a resolution.

Thanks for the report



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 2 Gireesh Sreekantan 2010-06-05 02:53:04 UTC
Filed upstream.

https://bugs.kde.org/show_bug.cgi?id=240779

Comment 3 Gireesh Sreekantan 2010-06-06 05:21:48 UTC
Upstream fixed in 2.3.1 version of amarok.

Comment 4 Steven M. Parrish 2010-06-06 15:23:57 UTC
Thanks for reporting upstream and for the update



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.